######################################################################
# FVWM - title bars
######################################################################

######################################################################
# title bar itself

TitleStyle LeftJustified

# titles/captions/names/labels for windows
# I am happy with the defaults
# but not making them explict causes xterm icons to lag one behind
# see styles.conf for IconTitleFormat
Style * TitleFormat %n

# for debugging/discovery, one can use:
#Style * TitleFormat n=%n i=%i c=%c r=%r t=%t I=%I

# Mouse <button> <context> <modifiers> <action>
Mouse 1 T N Function MoveMaxRaise
Mouse 2 T N Function MoveRaise
Mouse 3 T N Menu WinOpsMenu

######################################################################
# title bar buttons

# 1 3 5 7 9     0 8 6 4 2

# --- left side, from edge inward

# window menu / app icon, fallback to three stacked horiz lines
ButtonStyle	1	Vector 6	20x25@4 80x25@3   20x50@4 80x50@3    20x75@4 80x75@3
ButtonStyle	1	MiniIcon
Mouse 1		1	N Function WinMenuButton

# --- right side, from edge inward

# maximize / square
ButtonStyle	2	- MWMDecorMax
ButtonStyle	2	Vector 5 20x20@3 20x75@3 75x75@3 75x20@3 20x20@3
# smaller square when maximized
ButtonStyle	2	AllToggled Vector 5 40x40@3 40x60@3 60x60@3 60x40@3 40x40@3
Mouse 1		2	N MaximizeAndRaise

# minimize / dot in lower left (4x4 solid square)
ButtonStyle	4	- MWMDecorMin
ButtonStyle	4	Vector 8 \
	20+0px80+0p@4 20+4px80+0p@3 \
	20+4px80-1p@3 20+0px80-1p@3 \
	20+4px80-2p@3 20+0px80-2p@3 \
	20+4px80-3p@3 20+0px80-3p@3
Mouse 1		4	N Iconify

# shade / bar across top
ButtonStyle	6	- MwmDecorShade
ButtonStyle	6	           Vector 4 20x30+0p@3 75x30+0p@3 75x30+1p@3 20x30+1p@3
Mouse 1		6	N WindowShade

# sticky / diamond
ButtonStyle	8	- MwmDecorStick
ButtonStyle	8	Vector 5 50x25@3 75x50@3 50x75@3 25x50@3 50x25@3
# add a center dot when sticky
ButtonStyle	8	AllToggled Vector 11 50x25@3 75x50@3 50x75@3 25x50@3 50x25@3 50-1px50-1p@4 50-1px50+1p@3 50+1px50+1p@3 50+1px50-1p@3 50-1px50-1p@3 50x50@3
Mouse 1		8	N Stick

## END ###############################################################
